Mozilla deaktiverer TLS 1.0 og 1.1 i Firefox natt for å forberede avskrivninger

Firefox-produsent Mozilla funksjonshemmet støtte for protokollene TLS 1.0 og TLS 1.1 i nyere versjoner av Firefox Nightly nettleser.

Store nettleserprodusenter som Mozilla og Google kunngjorde i 2018 at de støtter de tiår gamle standardene ville bli henlagt i 2020 å forbedre sikkerheten og ytelsen til Internett-tilkoblinger. Da ble det avslørt at TLS 1.1 ble brukt av 0,1% av alle Internett-tilkoblinger; antallet har sannsynligvis gått i mellomtiden.

Transport Layer Security (TLS) er en sikkerhetsprotokoll som brukes til å kryptere Internett-trafikk; TLS 1.3 finale ble publisert i 2018 og selskaper begynte å integrere den endelige versjonen i nettlesere kort tid etter.

Mozilla begynte å aktiver TLS 1.3 i Firefox Stable i 2018 , og andre nettlesere som f.eks Google la til støtte også for den nye protokollversjonen.

Tips : her er en måte å finne ut om nettleseren din støtter TLS 1.3 og andre sikkerhetsfunksjoner.

Firefox og TLS 1.0 og 1.1 avskrivning

firefox tls 1.0 1.1 deprecation

Mozilla deaktivert støtte for TLS 1.0 og TLS 1.1 i Firefox Natt for å forberede avskrivningen i Firefox Stable i 2020. En rask sjekk på en testside for SSL Labs bekrefter at TLS 1.2 og 1.3 er de eneste støttede protokollene av nettleseren.

Nettsteder som støtter TLS 1.0 og / eller TLS 1.1, men ikke TLS 1.2 eller nyere, vil ikke laste inn og kaste en feil sikker feilforbindelse i stedet. Feilkoden er SSL_ERROR_UNSUPPORTED_VERSION.

secure connection failed firefox

Firefox-brukere kan overstyre begrensningen på følgende måte for tiden, men dette alternativet vil sannsynligvis forsvinne når endringen lander i Firefox Stable tidlig i 2020.

  1. Last inn omtrent: konfigurer i nettleserens adressefelt.
  2. Bekreft at du vil være forsiktig.
  3. Søk etter security.tls.version.min. Standardverdien for preferansen er satt til 3, noe som betyr at Firefox bare godtar TLS 1.2 og høyere.
  4. Endre verdien til 2 for å legge til støtte for TLS 1.1, eller til 1 for å legge til støtte for TLS 1.0.

Skjermdumpen nedenfor viser standardverdien for preferansen.

firefox support tls 1.1 and 1.0

Nettsteder, inkludert dashbordet for modemer, rutere og andre lokale perifere enheter, som bare støtter TLS 1.1 eller TLS 1.0, lastes inn etter at du har gjort endringen.

Lukkende ord

TLS 1.0 og 1.1-støtte vil bli fjernet fra nettlesere i begynnelsen av 2020. Selv om det skulle bety minimalt avbrudd for de fleste brukere, kan noen, spesielt de som jobber i lokale intranett og andre miljøer som ikke er internett, komme til problemer med tilknytning til visse nettsteder og enheter som støtter ikke nyere protokollversjoner av en eller annen grunn.

Noen nettlesere kan ha støtte for TLS 1.0 og 1.1 aktivert, og det er også mulig å bruke en eldre versjon av en nettleser for å koble seg til disse nettstedene.

Nå du : Er du berørt av endringen? (via Soren )